%define pkg_name        SWF-Builder
%define pkg_version     0.16
%define rpm_pkg_version 0.16
%define rpm_pkg_release 1.n0i.1

Summary:       Create SWF movies
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/Y/YS/YSAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(SWF::File)

%global perl_filter_req 'perl\\((Font|GD|Image)'


%description
SWF::Builder is a wrapper of SWF::File.
It provides an easy way to create a SWF6 movie.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.16
